Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1525076 - [abrt] xfce4-notifyd: XVisualIDFromVisual(): xfce4-notifyd killed by SIGSEGV
Summary: [abrt] xfce4-notifyd: XVisualIDFromVisual(): xfce4-notifyd killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xfce4-notifyd
Version: 26
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Mukundan Ragavan
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:2eb25408116453ee3e5127bb9e1...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-12 14:57 UTC by RobbieTheK
Modified: 2018-01-05 15:55 UTC (History)
2 users (show)

Fixed In Version: xfce4-notifyd-0.4.1-1.fc27 xfce4-notifyd-0.4.1-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-04 23:58:05 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: backtrace (deleted)
2017-12-12 14:57 UTC, RobbieTheK
no flags Details
File: cgroup (deleted)
2017-12-12 14:57 UTC, RobbieTheK
no flags Details
File: core_backtrace (deleted)
2017-12-12 14:57 UTC, RobbieTheK
no flags Details
File: cpuinfo (deleted)
2017-12-12 14:57 UTC, RobbieTheK
no flags Details
File: dso_list (deleted)
2017-12-12 14:57 UTC, RobbieTheK
no flags Details
File: environ (deleted)
2017-12-12 14:57 UTC, RobbieTheK
no flags Details
File: exploitable (deleted)
2017-12-12 14:57 UTC, RobbieTheK
no flags Details
File: limits (deleted)
2017-12-12 14:57 UTC, RobbieTheK
no flags Details
File: maps (deleted)
2017-12-12 14:57 UTC, RobbieTheK
no flags Details
File: open_fds (deleted)
2017-12-12 14:57 UTC, RobbieTheK
no flags Details
File: proc_pid_status (deleted)
2017-12-12 14:57 UTC, RobbieTheK
no flags Details
File: var_log_messages (deleted)
2017-12-12 14:57 UTC, RobbieTheK
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1513998 0 unspecified CLOSED [abrt] xfce4-notifyd: notify_update_known_applications(): xfce4-notifyd killed by SIGABRT 2021-02-22 00:41:40 UTC

Description RobbieTheK 2017-12-12 14:57:28 UTC
Version-Release number of selected component:
xfce4-notifyd-0.4.0-2.fc26

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/lib64/xfce4/notifyd/xfce4-notifyd
crash_function: XVisualIDFromVisual
executable:     /usr/lib64/xfce4/notifyd/xfce4-notifyd
journald_cursor: s=8e22ddc5c0594612b1ce350ed644b23a;i=113167d;b=ebe1d98991fc42f480e51070c5157b53;m=a1d8126588;t=55f9a7e21438c;x=4b3ef9a94c5ed7b0
kernel:         4.13.13-200.fc26.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1201

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 XVisualIDFromVisual at Misc.c:60
 #1 gdk_x11_window_foreign_new_for_display at gdkwindow-x11.c:1238
 #2 gdk_x11_screen_get_window_stack at gdkscreen-x11.c:1227
 #3 xfce_notify_daemon_get_workarea at xfce4-notifyd/xfce-notify-daemon.c:636
 #4 xfce_notify_rootwin_watch_workarea at xfce4-notifyd/xfce-notify-daemon.c:267
 #5 gdk_event_apply_filters at gdkeventsource.c:79
 #6 gdk_event_source_translate_event at gdkeventsource.c:205
 #7 _gdk_x11_display_queue_events at gdkeventsource.c:341
 #8 gdk_display_get_event at gdkdisplay.c:438
 #14 gtk_main at gtkmain.c:1322

Comment 1 RobbieTheK 2017-12-12 14:57:32 UTC
Created attachment 1366743 [details]
File: backtrace

Comment 2 RobbieTheK 2017-12-12 14:57:33 UTC
Created attachment 1366744 [details]
File: cgroup

Comment 3 RobbieTheK 2017-12-12 14:57:34 UTC
Created attachment 1366745 [details]
File: core_backtrace

Comment 4 RobbieTheK 2017-12-12 14:57:35 UTC
Created attachment 1366746 [details]
File: cpuinfo

Comment 5 RobbieTheK 2017-12-12 14:57:36 UTC
Created attachment 1366747 [details]
File: dso_list

Comment 6 RobbieTheK 2017-12-12 14:57:37 UTC
Created attachment 1366748 [details]
File: environ

Comment 7 RobbieTheK 2017-12-12 14:57:38 UTC
Created attachment 1366749 [details]
File: exploitable

Comment 8 RobbieTheK 2017-12-12 14:57:39 UTC
Created attachment 1366750 [details]
File: limits

Comment 9 RobbieTheK 2017-12-12 14:57:40 UTC
Created attachment 1366751 [details]
File: maps

Comment 10 RobbieTheK 2017-12-12 14:57:41 UTC
Created attachment 1366752 [details]
File: open_fds

Comment 11 RobbieTheK 2017-12-12 14:57:42 UTC
Created attachment 1366753 [details]
File: proc_pid_status

Comment 12 RobbieTheK 2017-12-12 14:57:43 UTC
Created attachment 1366754 [details]
File: var_log_messages

Comment 13 Fedora Update System 2017-12-23 19:28:31 UTC
xfce4-notifyd-0.4.1-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-86283af390

Comment 14 Fedora Update System 2017-12-23 19:29:26 UTC
xfce4-notifyd-0.4.1-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8bba2eabc0

Comment 15 Fedora Update System 2017-12-24 22:53:29 UTC
xfce4-notifyd-0.4.1-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-86283af390

Comment 16 Fedora Update System 2017-12-24 23:22:16 UTC
xfce4-notifyd-0.4.1-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8bba2eabc0

Comment 17 Fedora Update System 2018-01-04 23:58:05 UTC
xfce4-notifyd-0.4.1-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2018-01-05 15:55:20 UTC
xfce4-notifyd-0.4.1-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.